.. _vim.host.InternetScsiHba.StaticTarget: ../../../../vim/host/InternetScsiHba/StaticTarget.rst

.. _vim.host.InternetScsiHba.StaticTarget.TargetDiscoveryMethod: ../../../../vim/host/InternetScsiHba/StaticTarget/TargetDiscoveryMethod.rst

vim.host.InternetScsiHba.StaticTarget.TargetDiscoveryMethod
===========================================================
  The method of discovery of an iScsi target. staticMethod: static discovery sendTargetsMethod: sendtarget discovery slpMethod: Service Location Protocol discovery isnsMethod: Internet Storage Name Service discovery unknownMethod: discovery method not identified by iscsi stack
  :contained by: `vim.host.InternetScsiHba.StaticTarget`_

  :type: `vim.host.InternetScsiHba.StaticTarget.TargetDiscoveryMethod`_

  :name: unknownMethod

values:
--------

unknownMethod
   unknownMethod

slpMethod
   slpMethod

sendTargetMethod
   sendTargetMethod

isnsMethod
   isnsMethod

staticMethod
   staticMethod
